Bug 1015752 - (qt5-qtx11extras) Review Request: qt5-qtx11extras - Qt5 - X11 support library
Review Request: qt5-qtx11extras - Qt5 - X11 support library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: qt-reviews
  Show dependency treegraph
 
Reported: 2013-10-05 02:54 EDT by Lubomir Rintel
Modified: 2014-01-04 09:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-23 07:44:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tla: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2013-10-05 02:54:04 EDT
SPEC: http://v3.sk/~lkundrak/SPECS/qt5-qtx11extras.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/qt5-qtx11extras-5.2.0-0.1.alpha.fc20.src.rpm

Description

The X11 Extras module provides features specific to platforms using X11, e.g. 
Linux and UNIX-like systems including embedded Linux systems that use the X 
Window System.
Comment 1 Rex Dieter 2013-10-06 09:05:49 EDT
thanks for submitting this!  I'll look it over later today.
Comment 2 Rex Dieter 2013-10-09 13:08:06 EDT
rats, got busy, dropping out for now.  maybe will have more time this weekend.
Comment 3 Tim Lauridsen 2013-10-22 06:12:23 EDT
I will review this one
Comment 4 Tim Lauridsen 2013-10-22 07:08:49 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 8 files have unknown license. Detailed output of
     licensecheck in /home/tim/1015752-qt5-qtx11extras/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: package has ExcludeArch for non-primary archs, bugzilla report filed
     and shown as comment in spec.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define pre alpha
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qt5-qtx11extras-5.2.0-0.1.alpha.fc21.i686.rpm
          qt5-qtx11extras-devel-5.2.0-0.1.alpha.fc21.i686.rpm
          qt5-qtx11extras-5.2.0-0.1.alpha.fc21.src.rpm
qt5-qtx11extras.i686: W: incoherent-version-in-changelog 5.1.1-1 ['5.2.0-0.1.alpha.fc21', '5.2.0-0.1.alpha']
qt5-qtx11extras-devel.i686: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint qt5-qtx11extras-devel qt5-qtx11extras
qt5-qtx11extras-devel.i686: W: no-documentation
qt5-qtx11extras.i686: W: incoherent-version-in-changelog 5.1.1-1 ['5.2.0-0.1.alpha.fc21', '5.2.0-0.1.alpha']
qt5-qtx11extras.i686: W: unused-direct-shlib-dependency /usr/lib/libQt5X11Extras.so.5.2.0 /lib/libpthread.so.0
qt5-qtx11extras.i686: W: unused-direct-shlib-dependency /usr/lib/libQt5X11Extras.so.5.2.0 /lib/libGL.so.1
qt5-qtx11extras.i686: W: unused-direct-shlib-dependency /usr/lib/libQt5X11Extras.so.5.2.0 /lib/libstdc++.so.6
qt5-qtx11extras.i686: W: unused-direct-shlib-dependency /usr/lib/libQt5X11Extras.so.5.2.0 /lib/libm.so.6
qt5-qtx11extras.i686: W: unused-direct-shlib-dependency /usr/lib/libQt5X11Extras.so.5.2.0 /lib/libgcc_s.so.1
2 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
qt5-qtx11extras-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libQt5X11Extras.so.5
    pkgconfig(Qt5Core)
    pkgconfig(Qt5Gui)
    qt5-qtbase-devel(x86-32)
    qt5-qtx11extras(x86-32)

qt5-qtx11extras (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libGL.so.1
    libQt5Core.so.5
    libQt5Gui.so.5
    libQt5Widgets.so.5
    libc.so.6
    libgcc_s.so.1
    libm.so.6
    libpthread.so.0
    libstdc++.so.6
    qt5-qtbase(x86-32)
    rtld(GNU_HASH)



Provides
--------
qt5-qtx11extras-devel:
    pkgconfig(Qt5X11Extras)
    qt5-qtx11extras-devel
    qt5-qtx11extras-devel(x86-32)

qt5-qtx11extras:
    libQt5X11Extras.so.5
    qt5-qtx11extras
    qt5-qtx11extras(x86-32)



Source checksums
----------------
http://download.qt-project.org/development_releases/qt/5.2/5.2.0-alpha/submodules/qtx11extras-opensource-src-5.2.0-alpha.tar.xz :
  CHECKSUM(SHA256) this package     : 9216c48dbe42dc2183700270948097d33056107a6e2fe45c554f4ca351a2b220
  CHECKSUM(SHA256) upstream package : 9216c48dbe42dc2183700270948097d33056107a6e2fe45c554f4ca351a2b220
Comment 5 Tim Lauridsen 2013-10-22 07:11:35 EDT
Looks good

only minor issue

[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define pre alpha

You can change it to %global or give a justification 

APPROVED
Comment 6 Lubomir Rintel 2013-10-22 10:17:41 EDT
(In reply to Tim Lauridsen from comment #5)
> Looks good
> 
> only minor issue
> 
> [!]: Spec use %global instead of %define unless justified.
>      Note: %define requiring justification: %define pre alpha
> 
> You can change it to %global or give a justification 

Will do.

> APPROVED

Thank you!

New Package SCM Request
=======================
Package Name: qt5-qtx11extras
Short Description: Qt5 - X11 support library
Owners: lkundrak rdieter than jreznik kkofler ltinkl rnovacek
Branches: f18 f19 f20 el6

(If possible, please exclude kkofler from el6 branch)
Comment 7 Gwyn Ciesla 2013-10-22 10:27:43 EDT
Git done (by process-git-requests).
Comment 8 Rex Dieter 2013-10-22 14:34:20 EDT
FYI,

# http://bugzilla.redhat.com/1005482
ExcludeArch: ppc64 ppc

was fixed, so the ExcludeArch can be removed.
Comment 9 Lubomir Rintel 2013-10-23 07:44:17 EDT
Thank you!
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.